Skip to main content
GET
/
v1
/
project
프로젝트 목록
curl --request GET \
  --url https://openapi.pluuug.com/v1/project \
  --header 'X-API-Key: <api-key>' \
  --header 'X-Signature: <api-key>'
{
  "results": [
    {
      "id": 123,
      "title": "<string>",
      "actualEndDate": "2023-12-25",
      "created": "2023-11-07T05:31:56Z",
      "contract": {
        "id": 123,
        "title": "<string>",
        "amount": 123,
        "type": "I",
        "status": "P",
        "startDate": "2023-12-25",
        "endDate": "2023-12-25"
      },
      "status": "U",
      "symbolColor": "<string>",
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "isHidden": true
    }
  ],
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
}

Documentation Index

Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required
X-Signature
string
header
required

HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

Query Parameters

cursor
string

Pagination을 위한 커서

end_date_end
string<date>

종료일 종료 (YYYY-MM-DD)

end_date_start
string<date>

종료일 시작 (YYYY-MM-DD)

is_hidden
boolean

숨김 여부

page_size
integer

한번에 조회할 데이터의 개수 (limit)

start_date_end
string<date>

시작일 종료 (YYYY-MM-DD)

start_date_start
string<date>

시작일 시작 (YYYY-MM-DD)

status
string

상태 (U: 예정됨, I: 진행 중, A: 추가 기간, E: 종료됨)

Response

200 - application/json
results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cD00ODY%3D\""

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"